import { Compiler, Injector, Pipe } from '@angular/core';
import { AbstractI18nService } from '@wm/core';
import { DomSanitizer } from "@angular/platform-browser";
import * as i0 from "@angular/core";
export declare class PipeProvider {
    private compiler;
    private injector;
    private domSanitizer;
    private i18service;
    _pipeMeta: any;
    _locale: string;
    formatsByLocale: any;
    preparePipeMeta: (reference: Pipe, name: string, pure: boolean, diDeps?: any[]) => {
        type: {
            reference: Pipe;
            diDeps: any[];
        };
        name: string;
        pure: boolean;
    };
    _pipeData: any[];
    setPipeData(): void;
    unknownPipe(name: any): void;
    constructor(compiler: Compiler, injector: Injector, domSanitizer: DomSanitizer, i18service: AbstractI18nService);
    meta(name: any): any;
    getPipeNameVsIsPureMap(): Map<any, any>;
    resolveDep(dep: any): any;
    getInstance(name: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<PipeProvider, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PipeProvider>;
}
